Page MenuHomePhabricator

Page actions in mobile skin should appear below the WikidataPageBanner page banner
Closed, ResolvedPublic

Description

Design feedback from @kaity - I think page action icons (edit and watch) should be below the banner. The text can wrap around them, so there won't be a lot of wasted space.

In addition to this when this extension is enabled, we shouldnt' attempt to load our own banners in MobileFrontend.

Details

Related Gerrit Patches:
mediawiki/extensions/WikidataPageBanner : masterDo not add banner inside #bodyContent

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task to Blocked on the Wikidata-Page-Banner board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added projects: Readers-Web-Backlog, Wikidata. · View Herald TranscriptAug 7 2015, 11:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdlrobson updated the task description. (Show Details)Aug 7 2015, 11:47 PM
Jdlrobson set Security to None.
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Aug 17 2015, 3:47 PM

Change 238654 had a related patch set uploaded (by Jdlrobson):
Do not add banner inside #bodyContent

https://gerrit.wikimedia.org/r/238654

Jdlrobson triaged this task as Medium priority.Sep 16 2015, 5:20 PM

Change 238654 merged by jenkins-bot:
Do not add banner inside #bodyContent

https://gerrit.wikimedia.org/r/238654

Jdlrobson closed this task as Resolved.EditedSep 23 2015, 7:35 PM

Can't verify on beta labs given that maintaining support with the Wikivoyage config is currently more important (we have no beta wikivoyage labs :)).